Package com.collibra.dgc.core.api.dto.instance.relation

# Class FindRelationsRequest

Object
PagedRequest
CursorPagedRequest
FindRelationsRequest

All Implemented Interfaces:
  `Serializable`

public class FindRelationsRequest extends CursorPagedRequest implements Serializable
The search criteria for relations.

Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored.

The returned relations satisfy all constraints that are specified in this search criteria.

By default a result containing 1000 relations is returned.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindRelationsRequest.Builder`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindRelationsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindRelationsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getRelationTypeId()`
  The ID of the type of relations to search for.
  `UUID`
  `getSourceId()`
  The ID of the source of relations to search for.
  `LogicalOperator`
  `getSourceTargetLogicalOperator()`
  The logical operator determining how to combine the source and target criteria: AND or OR.
  `UUID`
  `getTargetId()`
  The ID of the target of relations to search for.
  `String`
  `getTypePublicId()`
  The public ID of the type of relations to search for.
  `int`
  `hashCode()`
  `void`
  `setRelationTypeId(UUID relationTypeId)`
  The ID of the type of relations to search for.
  `void`
  `setSourceId(UUID sourceId)`
  The ID of the source of relations to search for.
  `void`
  `setSourceTargetLogicalOperator(LogicalOperator sourceTargetLogicalOperator)`
  The logical operator determining how to combine the source and target criteria: AND or OR.
  `void`
  `setTargetId(UUID targetId)`
  The ID of the target of relations to search for.
  `void`
  `setTypePublicId(String typePublicId)`
  The public ID of the type of relations to search for.
  `String`
  `toString()`

  ### Methods inherited from class CursorPagedRequest

  `getCountLimit, getCursor, getOffset, setCountLimit, setCursor, setOffset`

  ### Methods inherited from class PagedRequest

  `getLimit, isPagingActive, setLimit`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindRelationsRequest

    public FindRelationsRequest()

- ## Method Details

  - ### builder

    public static FindRelationsRequest.Builder builder()

  - ### getRelationTypeId

    public UUID getRelationTypeId()
    The ID of the type of relations to search for.

  - ### getSourceId

    public UUID getSourceId()
    The ID of the source of relations to search for.

  - ### getTargetId

    public UUID getTargetId()
    The ID of the target of relations to search for.

  - ### getSourceTargetLogicalOperator

    public LogicalOperator getSourceTargetLogicalOperator()
    The logical operator determining how to combine the source and target criteria: AND or OR. Defaults to `AND`.

  - ### getTypePublicId

    public String getTypePublicId()
    The public ID of the type of relations to search for.

  - ### setRelationTypeId

    public void setRelationTypeId(UUID relationTypeId)
    The ID of the type of relations to search for.

  - ### setSourceId

    public void setSourceId(UUID sourceId)
    The ID of the source of relations to search for.

  - ### setTargetId

    public void setTargetId(UUID targetId)
    The ID of the target of relations to search for.

  - ### setSourceTargetLogicalOperator

    public void setSourceTargetLogicalOperator(LogicalOperator sourceTargetLogicalOperator)
    The logical operator determining how to combine the source and target criteria: AND or OR. Defaults to `AND`.

  - ### setTypePublicId

    public void setTypePublicId(String typePublicId)
    The public ID of the type of relations to search for.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `CursorPagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `CursorPagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `CursorPagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `CursorPagedRequest`